# IShComponent Struct Reference
[COM Interfaces]

Inheritance diagram for IShComponent:

List of all members.

## Public Member Functions
virtual IDType MCCOMAPI | GetFamilySignature () const =0
virtual IDType MCCOMAPI | GetClassSignature () const =0
virtual MCCOMErr MCCOMAPI | GetClassName (TMCString &name) const =0
virtual int32 MCCOMAPI | GetComponentVersion () const =0
virtual boolean MCCOMAPI | IsDefaultComponent () const =0
virtual void MCCOMAPI | InvalidatePreview ()=0
virtual IShParameterComponent *MCCOMAPI | GetPrefComponent ()=0
virtual boolean MCCOMAPI | IsFamilyHidden ()=0
| Returns true when the family of the Component is hidden.

## Detailed Description

Component interface

This is the interface for components, as defined by the 'COMP' resource. Components are created by IShComponentUtilities functions, generally. They are identified by the family and class signatures in the resource file.

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IShComponent::GetClassName | ( | TMCString & | name | ) | const`[pure virtual]`

virtual IDType MCCOMAPI IShComponent::GetClassSignature | ( |  | ) | const`[pure virtual]`

virtual int32 MCCOMAPI IShComponent::GetComponentVersion | ( |  | ) | const`[pure virtual]`

Returns:
  The version number of the component, used for file versioning.

virtual IDType MCCOMAPI IShComponent::GetFamilySignature | ( |  | ) | const`[pure virtual]`

virtual IShParameterComponent* MCCOMAPI IShComponent::GetPrefComponent | ( |  | ) | `[pure virtual]`

Each component may delegate its preferences to a (unique) IShParameterComponent, returned by this function.

Returns:
  NULL if this component has no preferences component, otherwise, a pointer to the component.

See also:
  IShPrefsComponent

virtual void MCCOMAPI IShComponent::InvalidatePreview | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShComponent::IsDefaultComponent | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IShComponent::IsFamilyHidden | ( |  | ) | `[pure virtual]`

Returns true when the family of the Component is hidden.

The documentation for this struct was generated from the following file:

- IShComponent.h